import { Product } from 'ssn';
import getManifest from './exports/getManifest';
import productList from './exports/productList';
import init from './init';
import IDatabaseSettings from './interfaces/IDatabaseSettings';
import IProductData from './interfaces/IProductData';

interface IEndpoints {
  getManifest: (product: Product) => {};
  init: (dbSettings: IDatabaseSettings) => Promise<{ [key in Product]?: IProductData }>;
  productList: ReadonlyArray<Product>;
}

const out: Readonly<IEndpoints> = Object.freeze({
  getManifest,
  init,
  productList,
});

//Exports various functions as endpoints
export default out;
